Skip to navigation

API to create subscriptions by tracking numbers.

This endpoint takes a list of tracking numbers and creates a subscription for each. Clients must provide the tracking numbers in the correct format.

Upon success it should return:

  • List of valid tracking number for which subscription created.
  • List of invalid tracking number for which subscription not created.

Authentication

AuthorizationBearer

“Find your Client ID and Secret on your app info page.

  1. Select “Try It”
  2. In the Security section enter your Client ID and Secret.
  3. Select “Request Token”
  4. Enter any additional information in the Body and Parameters sections.
  5. Select “Send” to execute your API request”

Path parameters

versionenumRequiredDefaults to v1
version
Allowed values:

Headers

transIdstringRequired
An identifier unique to the request.
transactionSrcstringRequired

Identifies the client/source application that is calling.

Request

This endpoint expects an object.
localestringRequiredformat: "^[a-z]{2}_[A-Z]{2}$"

Locale setting is composed of language code and country code, separated by an underscore. Currently only english US(en_US) is accepted.

trackingNumberListlist of stringsRequired
Represents list of tracking numbers in request.
destinationobjectRequired
The destination container related to the clients endpoint API. To which messages would be sent on an event on the package.
countryCodestringOptional
Represents the country code. This field is reserved for future use.

Response

Successful operation
validTrackingNumberslist of stringsOptional
List of tracking numbers with successful subscription created.
invalidTrackingNumberslist of stringsOptional
List of tracking numbers associated with errors preventing subscription creation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error